Page MenuHomePhabricator

No merged changes are deployed on betacluster
Closed, ResolvedPublic

Description

I've merged eb1c4ea recently, but it's still not on deployment-mediawiki-09, which indicates scap failed somewhere.

https://integration.wikimedia.org/ci/job/beta-scap-eqiad/263627/console shows an example of output.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 22 2019, 11:59 PM
Urbanecm triaged this task as Unbreak Now! priority.Aug 22 2019, 11:59 PM

Beta cluster is quite important => bumping to UBN!

Restricted Application added a subscriber: Liuxinyu970226. · View Herald TranscriptAug 22 2019, 11:59 PM
Rxy closed this task as Resolved.Aug 23 2019, 6:59 AM
Rxy claimed this task.
Rxy added a subscriber: Rxy.

This caused by DB schema collation. I compared 'enwiktionary.l10n_cache' and 'dewiktionary.l10n_cache' ;

I solved this problem by below:

ALTER TABLE `l10n_cache` CHARACTER SET binary

MariaDB [dewiktionary]> show create table dewiktionary.l10n_cache;
+------------+-------------------+
| Table      | Create Table |
+------------+----------------------------------------+
| l10n_cache | CREATE TABLE `l10n_cache` (
  `lc_lang` varbinary(32) NOT NULL,
  `lc_key` varchar(255) NOT NULL,
  `lc_value` mediumblob NOT NULL,
  PRIMARY KEY (`lc_lang`,`lc_key`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 |
+------------+------------------------------------+
1 row in set (0.00 sec)

MariaDB [dewiktionary]> show create table enwiktionary.l10n_cache;
+------------+----------------------------------------------------------------------------------------------------+
| Table      | Create Table |
+------------+-------------------------------------------------------------------------------------------------+
| l10n_cache | CREATE TABLE `l10n_cache` (
  `lc_lang` varbinary(32) NOT NULL,
  `lc_key` varbinary(255) NOT NULL,
  `lc_value` mediumblob NOT NULL,
  PRIMARY KEY (`lc_lang`,`lc_key`)
) ENGINE=InnoDB DEFAULT CHARSET=binary |
+------------+----------------------------------------------------------------------------------------------------+
1 row in set (0.01 sec)

MariaDB [dewiktionary]> ALTER TABLE `l10n_cache` MODIFY `lc_key` varchar(255) NOT NULL;
Query OK, 0 rows affected (0.00 sec)
Records: 0  Duplicates: 0  Warnings: 0

MariaDB [dewiktionary]> show create table dewiktionary.l10n_cache;
+------------+--------------------------------------------------------------------------------------------+
| Table      | Create Table |
+------------+---------------------------------------------------------------------------------------------+
| l10n_cache | CREATE TABLE `l10n_cache` (
  `lc_lang` varbinary(32) NOT NULL,
  `lc_key` varchar(255) CHARACTER SET latin1 NOT NULL,
  `lc_value` mediumblob NOT NULL,
  PRIMARY KEY (`lc_lang`,`lc_key`)
) ENGINE=InnoDB DEFAULT CHARSET=binary |
+------------+-----------------------------------------------------+
1 row in set (0.00 sec)

MariaDB [dewiktionary]>  ALTER TABLE `l10n_cache` MODIFY `lc_key` varchar(255) NOT NULL;
Query OK, 0 rows affected (0.09 sec)
Records: 0  Duplicates: 0  Warnings: 0

MariaDB [dewiktionary]> show create table dewiktionary.l10n_cache;
+------------+-----------------------------------------------------------------------------+
| Table      | Create Table |
+------------+--------------------------------------------------------+
| l10n_cache | CREATE TABLE `l10n_cache` (
  `lc_lang` varbinary(32) NOT NULL,
  `lc_key` varbinary(255) NOT NULL,
  `lc_value` mediumblob NOT NULL,
  PRIMARY KEY (`lc_lang`,`lc_key`)
) ENGINE=InnoDB DEFAULT CHARSET=binary |
+------------+---------------------------------+
1 row in set (0.00 sec)
Restricted Application added a project: User-Rxy. · View Herald TranscriptAug 23 2019, 6:59 AM

Mentioned in SAL (#wikimedia-cloud) [2019-08-23T07:12:46Z] <rxy> Applied SQL queries per [[phab:T231058#5433197]]

Mentioned in SAL (#wikimedia-releng) [2019-08-23T11:12:22Z] <Urbanecm> deployment-prep: run scap sync to ensure everything is deployed (T231058)